import {compileMarkdownToReact, compileMarkdownToHTML} from "./src"
const SAMPLE_MARKDOWN = `
$ A $
`;

// HTML
console.log("Raw -----------");
console.log(SAMPLE_MARKDOWN);

compileMarkdownToHTML(SAMPLE_MARKDOWN, {}, (err, ret) => {
  if (err) console.log(err);
  console.log(" HTML -----------");
  console.log(ret.contents);
});

// React
import ReactDOMServer from "react-dom/server";
compileMarkdownToReact(SAMPLE_MARKDOWN, {}, (err, ret) => {
  if (err) console.log(err);
  console.log(" React -----------");
  console.log(ReactDOMServer.renderToStaticMarkup(ret.contents));
});
